%define modname pytest

Name:           python-%{modname}
Version:        2.8.2
Release:        1%dist
Summary:        Simple powerful testing with Python

Group:          Development/Python
License:        MIT
URL:            http://pytest.org
Source0:        http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools
BuildRequires:  python-py
Requires:       python-py
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  python-docutils

# if pexpect is present, the testsuite fails on F19 due to
# http://bugs.python.org/issue17998
#BuildRequires:  python-pexpect
BuildRequires:  python-mock
BuildRequires:  python-twisted-core


%description
py.test provides simple, yet powerful testing for Python.

%package doc
Summary:	Documentation for pytest
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation for pytest.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

for l in doc/* ; do
  make -C $l html PYTHONPATH=$(pwd)
done

%install
python setup.py install --root=%buildroot

# remove shebangs from all scripts
find %{buildroot}%{python_sitelib} -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

mkdir -p _htmldocs/html
for l in doc/* ; do
  # remove hidden file
  rm ${l}/_build/html/.buildinfo
  mv ${l}/_build/html _htmldocs/html/${l##doc/}
done

rst2html README.rst > README.html

%files
%doc CHANGELOG LICENSE README.html
%{_bindir}/py.test*
%{python_sitelib}/*

%files doc
%doc _htmldocs/html

